package com.persagy.filemove.dialog;

import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.Pane;
import javafx.stage.Modality;
import javafx.stage.Stage;
import javafx.stage.StageStyle;


public class FileMoveHelpDialog extends Stage {
    public FileMoveHelpDialog() {
        StringBuilder msg = new StringBuilder("功能说明：实现两个SaaS环境中楼层地图文件（或设备、空间、\n系统、部件的二维码文件）的转移导入\n\n");
        msg.append("使用说明：本应用需要运行在能同时访问SaaS环境A（至少能保证\n");
        msg.append("与该环境的data-platform-3和image-service两个服务通信）\n");
        msg.append("和SaaS环境B（至少能保证与该环境的image-service服务通信）\n");
        msg.append("的服务器上。\n\n");

        msg.append("特殊参数说明：接口类型表示用哪个接口上传下载资源文件。\n");
        msg.append("该参数的值有三种选项，即[default, file, image]\n");
        msg.append(" 1. default，在文件服务-From中，表示对非.jsonz文件\n");
        msg.append(" 用image_get接口获取数据，对.jsonz文件，用file_get获取数据；\n");
        msg.append(" 在文件服务-To中，default表示用file_upload接口上传数据。\n");
        msg.append(" 2. file，在文件服务-From中，表示用file_get接口下载数据；\n");
        msg.append(" 在文件服务-To中，表示用file_upload接口上传数据。\n");
        msg.append(" 3. image，在文件服务-From中，表示用image_get接口下载数据；\n");
        msg.append(" 在文件服务-To中，表示用image_upload接口上传数据。\n");
        Label label = new Label(msg.toString());
        label.setLayoutX(20); label.setLayoutY(20);

        Pane pane = new Pane();
        pane.getChildren().addAll(label);

        Scene scene = new Scene(pane, 480, 400);
        setScene(scene);
        setTitle("Help");
        setResizable(false);
        initStyle(StageStyle.UTILITY);
        initModality(Modality.APPLICATION_MODAL);
    }
}
