package com.persagy.filemove.dto;

import com.persagy.filemove.util.StringTools;
import javafx.beans.property.SimpleStringProperty;

public class SagaFileMoveDTO {
    /** 数据平台地址 */
    public SimpleStringProperty dpf = new SimpleStringProperty();
    /** 项目id */
    public SimpleStringProperty pjId = new SimpleStringProperty();
    /** 项目密码 */
    public SimpleStringProperty pjSecret = new SimpleStringProperty();
    /** 对象类型 */
    public SimpleStringProperty objType = new SimpleStringProperty();
    /** 对象信息点编码 */
    public SimpleStringProperty objInfoCode = new SimpleStringProperty();
    /** 文件服务from地址 */
    public SimpleStringProperty imgFromUrl = new SimpleStringProperty();
    /** 文件服务from的systemId */
    public SimpleStringProperty imgFromSysId = new SimpleStringProperty();
    /** 文件服务from的secret */
    public SimpleStringProperty imgFromSecret = new SimpleStringProperty();
    /** 文件服务from的接口类型 */
    public SimpleStringProperty imgFromApiType = new SimpleStringProperty();
    /** 文件服务to地址 */
    public SimpleStringProperty imgToUrl = new SimpleStringProperty();
    /** 文件服务Tom的systemId */
    public SimpleStringProperty imgToSysId = new SimpleStringProperty();
    /** 文件服务To的secret */
    public SimpleStringProperty imgToSecret = new SimpleStringProperty();
    /** 文件服务To的接口类型 */
    public SimpleStringProperty imgToApiType = new SimpleStringProperty();

    
    public boolean validNecessaryParam() {
        if(StringTools.isBlank(dpf.getValue()) || StringTools.isBlank(pjId.getValue()) ||
                StringTools.isBlank(imgFromUrl.getValue()) || StringTools.isBlank(imgFromSysId.getValue()) ||
                StringTools.isBlank(imgFromSecret.getValue()) || StringTools.isBlank(imgToUrl.getValue()) ||
                StringTools.isBlank(imgToSysId.getValue()) || StringTools.isBlank(imgToSecret.getValue())) {
            return false;
        }
        return true;
    }
    
    @Override
    public String toString() {
        return "SagaFileMoveDTO{" +
                "dpf=" + dpf.getValue() +
                ", pjId=" + pjId.getValue() +
                ", pjSecret=" + pjSecret.getValue() +
                ", objType=" + objType.getValue() +
                ", objInfoCode=" + objInfoCode.getValue() +
                ", imgFromUrl=" + imgFromUrl.getValue() +
                ", imgFromSysId=" + imgFromSysId.getValue() +
                ", imgFromSecret=" + imgFromSecret.getValue() +
                ", imgFromApiType=" + imgFromApiType.getValue() +
                ", imgToUrl=" + imgToUrl.getValue() +
                ", imgToSysId=" + imgToSysId.getValue() +
                ", imgToSecret=" + imgToSecret.getValue() +
                ", imgToApiType=" + imgToApiType.getValue() +
                '}';
    }
}
